Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166336 - Fix DocumentUtilities.getText() for non-BaseDocument document impls
Fix DocumentUtilities.getText() for non-BaseDocument document impls
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 12:21 UTC by Miloslav Metelka
Modified: 2009-07-16 14:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2009-06-01 12:21:05 UTC
After fixing issue 159502 the DocumentUtilities.getText() works in a different way for BaseDocument (returns doc.getLength() + 1 long charsequence) and 
non-BaseDocument impls (returns doc.getLength() long charsequence). This issue fixes the problem to have doc.getLength() + 1 long charsequence for all 
document impls. Some lexer's tests need to be updated.
Comment 1 Miloslav Metelka 2009-06-01 12:25:20 UTC
http://hg.netbeans.org/jet-main/rev/266bd7cf5522
Comment 2 Quality Engineering 2009-06-02 08:44:00 UTC
Integrated into 'main-golden', will be available in build *200906020201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/266bd7cf5522
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #166336 - Fix DocumentUtilities.getText() for non-BaseDocument document impls.
Comment 3 Petr Blaha 2009-07-02 13:18:41 UTC
v.
Comment 4 pgebauer 2009-07-07 14:16:38 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/8d3d624fa0dc
Comment 5 Jiri Prox 2009-07-16 14:35:39 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo